netatalk: afp_child Struct Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
afp_child Struct Reference

`#include <server_child.h>`

## Data Fields
pid_t | afpch_pid
uid_t | afpch_uid
int | afpch_valid
int | afpch_killed
uint32_t | afpch_boottime
time_t | afpch_logintime
uint32_t | afpch_idlen
char * | afpch_clientid
size_t | afpch_sessiontoken_len
char * | afpch_sessiontoken
int | afpch_ipc_fd
int | afpch_hint_fd
char * | afpch_hostname
int16_t | afpch_state
char * | afpch_volumes
struct afp_child ** | afpch_prevp
struct afp_child * | afpch_next

## Field Documentation

## ◆ afpch_boottime

uint32_t afp_child::afpch_boottime

client boot time (from the mac client)

## ◆ afpch_clientid

char* afp_child::afpch_clientid

clientid (from the Mac client)

## ◆ afpch_hint_fd

int afp_child::afpch_hint_fd

pipe write/parent end for sending cache hints to child

## ◆ afpch_hostname

char* afp_child::afpch_hostname

hostname or address of the connected client

## ◆ afpch_idlen

uint32_t afp_child::afpch_idlen

clientid len (from the Mac client)

## ◆ afpch_ipc_fd

int afp_child::afpch_ipc_fd

socket for IPC bw afpd parent and childs

## ◆ afpch_killed

int afp_child::afpch_killed

1 if we already tried to kill the client

## ◆ afpch_logintime

time_t afp_child::afpch_logintime

time the child was added

## ◆ afpch_next

struct afp_child* afp_child::afpch_next

## ◆ afpch_pid

pid_t afp_child::afpch_pid

afpd worker process pid (from the worker afpd process )

## ◆ afpch_prevp

struct afp_child** afp_child::afpch_prevp

## ◆ afpch_sessiontoken

char* afp_child::afpch_sessiontoken

opaque reconnect token

## ◆ afpch_sessiontoken_len

size_t afp_child::afpch_sessiontoken_len

reconnect token length

## ◆ afpch_state

int16_t afp_child::afpch_state

state of AFP session (eg active, sleeping, disconnected)

## ◆ afpch_uid

uid_t afp_child::afpch_uid

user id of connected client (from the worker afpd process)

## ◆ afpch_valid

int afp_child::afpch_valid

1 if we have a clientid

## ◆ afpch_volumes

char* afp_child::afpch_volumes

mounted volumes

The documentation for this struct was generated from the following file:

- server_child.h